{
  TFile* fn = new TFile("Proba.root");
  TTree* t1 = (TTree*)fn->Get("ProbaOscill");

  
  TCanvas* c1 = new TCanvas("c1","Current",100,100,600,600);
  c1->SetGridx();
  c1->SetGridy();
  t1->Draw("Pmumu:LovE");
  TGraph* gmumu = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gmumu"));
  t1->Draw("Pmue:LovE");
  TGraph* gmue = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gmue"));

  t1->Draw("PMmumu:LovE");
  TGraph* gMmumu = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gMmumu"));
  t1->Draw("PMmue:LovE");
  TGraph* gMmue = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gMmue"));

  t1->Draw("Pbmumu:LovE");
  TGraph* gbmumu = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gbmumu"));
  t1->Draw("Pbmue:LovE");
  TGraph* gbmue = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gbmue"));

  t1->Draw("PMbmumu:LovE");
  TGraph* gMbmumu = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gMbmumu"));
  t1->Draw("PMbmue:LovE");
  TGraph* gMbmue = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gMbmue"));
  
  t1->Draw("(Pbmue-Pmue)/(Pbmue+Pmue):LovE");
  TGraph* gAsymMuE = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gAsymMuE"));
  t1->Draw("(PMbmue-PMmue)/(PMbmue+PMmue):LovE");
  TGraph* gMAsymMuE = (TGraph*)(gPad->GetPrimitive("Graph")->Clone("gMAsymMuE"));



  //color: 1:black, 2: red, 3:green, 4:blue, 5: yellow, 6:cyan, 7:light blue
  //Line Style 1=solid, 2=dash, 3=dot-dot, 4=dash-dot
  //Width in pixel

  //P mu->mu alone
  TCanvas* cmumu = new TCanvas("cmumu","Pmumu",100,100,600,600);
  cmumu->SetGridx();
  cmumu->SetGridy();

  gmumu->SetLineColor(4); //blue
  gmumu->SetTitle("P(#nu_{#mu}#rightarrow #nu_{#mu})");
  gmumu->GetXaxis()->SetTitle("L/E [km/GeV]");
  gmumu->Draw("AL");
  gMmumu->SetLineColor(2); //red
  gMmumu->SetLineStyle(2);
  gMmumu->Draw("Csame");
  cmumu->Update();

  //P mub->mub alone
  TCanvas* cbmumu = new TCanvas("cbmumu","Pbmumu",100,100,600,600);
  cbmumu->SetGridx();
  cbmumu->SetGridy();

  gbmumu->SetLineColor(4); //blue
  gbmumu->SetTitle("P(#bar{#nu}_{#mu} #rightarrow #bar{#nu}_{#mu})");
  gbmumu->GetXaxis()->SetTitle("L/E [km/GeV]");
  gbmumu->Draw("AL");
  gMbmumu->SetLineColor(2); //red
  gMbmumu->SetLineStyle(2);
  gMbmumu->Draw("Csame");
  cbmumu->Update();

  //P mu->e alone
  TCanvas* cmue = new TCanvas("cmue","Pmue",100,100,600,600);
  cmue->SetGridx();
  cmue->SetGridy();

  gmue->SetLineColor(4); //blue
  gmue->SetTitle("P(#nu_{#mu}#rightarrow #nu_{e})");
  gmue->GetXaxis()->SetTitle("L/E [km/GeV]");
  gmue->Draw("AL");
  gMmue->SetLineColor(2); //red
  gMmue->SetLineStyle(2);
  gMmue->Draw("Csame");
  cmue->Update();

  //P mub->eb alone
  TCanvas* cbmue = new TCanvas("cbmue","Pbmue",100,100,600,600);
  cbmue->SetGridx();
  cbmue->SetGridy();

  gbmue->SetLineColor(4); //blue
  gbmue->SetTitle("P(#bar{#nu}_{#mu} #rightarrow #bar{#nu}_{e})");
  gbmue->GetXaxis()->SetTitle("L/E [km/GeV]");
  gbmue->Draw("AL");
  gMbmue->SetLineColor(2); //red
  gMbmue->SetLineStyle(2);
  gMbmue->Draw("Csame");
  cbmue->Update();

  //Assymetry
  //P mub->eb alone
  TCanvas* cAsymMuE = new TCanvas("cAsymMuE","PAsymMuE",100,100,600,600);
  cAsymMuE->SetGridx();
  cAsymMuE->SetGridy();

  gAsymMuE->SetLineColor(4); //blue
  gAsymMuE->SetTitle("P(#bar{#nu}_{#mu} #rightarrow #bar{#nu}_{e})-P(#nu_{#mu} #rightarrow #nu_{e})");
  gAsymMuE->GetXaxis()->SetTitle("L/E [km/GeV]");
  gAsymMuE->Draw("AL");
  gMAsymMuE->SetLineColor(2); //red
  gMAsymMuE->SetLineStyle(2);
  gMAsymMuE->Draw("Csame");
  cAsymMuE->Update();
  

}
